Set or clear a search's run cadence
curl --request PUT \
--url https://api.getoneprofile.ai/find-leads/tables/{table_id}/search/schedule/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"at_minutes": 719,
"cadence": "<string>",
"every_days": 183,
"timezone": "<string>"
}
'import requests
url = "https://api.getoneprofile.ai/find-leads/tables/{table_id}/search/schedule/"
payload = {
"at_minutes": 719,
"cadence": "<string>",
"every_days": 183,
"timezone": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({at_minutes: 719, cadence: '<string>', every_days: 183, timezone: '<string>'})
};
fetch('https://api.getoneprofile.ai/find-leads/tables/{table_id}/search/schedule/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"next_runs": [
"2023-11-07T05:31:56Z"
],
"source": {
"next_run_at": "2023-11-07T05:31:56Z",
"query": {},
"record_type": "people",
"row_limit": 123,
"schedule_at_minutes": 123,
"schedule_cadence": "<string>",
"schedule_every_days": 123,
"schedule_timezone": "<string>",
"table_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>",
"issues": [
{
"input": "<string>",
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}find-leads
Set or clear a search's run cadence
Schedule the table’s search to run on a cadence, or return it to manual runs with a null cadence. The response previews the next three firings.
PUT
/
find-leads
/
tables
/
{table_id}
/
search
/
schedule
/
Set or clear a search's run cadence
Authorizations
HTTPBearerAPIKeyHeader
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Was this page helpful?